See the top rated post in this thread. Click here

Results 1 to 7 of 7

Thread: Grouping Objects Quickly

  1. #1
    All AUGI, all the time arshiel88's Avatar
    Join Date
    2005-02
    Location
    Off the Grid
    Posts
    560
    Login to Give a bone
    0

    Default Grouping Objects Quickly

    How about you just select objects to be grouped, then with a keystroke its grouped. If you dont care for the name of the group (there's only few who cares anyway...) the macro below quickly creates an anonymous group.

    ^C^C-g;c;*;;p;;

    If you're an extensive photoshop user, you might want to Replace the Ctrl-G (Grid Toggle) macro with this one. Besides F7 is always there to the rescue. Its always good to unite keyboard shortcuts of the programs you use.

  2. #2
    Woo! Hoo! my 1st post
    Join Date
    2007-04
    Posts
    1
    Login to Give a bone
    0

    Default Re: Grouping Objects Quickly

    THANKS!!! Our office sorely missed the "old" GROUP command from AutoCad2000 LT.

    Have you a macro to quickly UNGROUP the newly created groups? EXPLODE and BURST do not work. Experimenting with your macro, I see one must use the new GROUP command and FIND UNNAMED and then EXPLODE w/in the GROUP dialogue box. Clunky, but at least it works and the GROUP part is great!!

  3. #3
    Active Member
    Join Date
    2005-11
    Posts
    51
    Login to Give a bone
    0

    Default Re: Grouping Objects Quickly

    It is not a permanent "ungroup", but have you tried Ctrl+Shift+A?

  4. #4
    Certifiable AUGI Addict robert.1.hall72202's Avatar
    Join Date
    2004-07
    Location
    Detroit Michigan
    Posts
    2,508
    Login to Give a bone
    0

    Default Re: Grouping Objects Quickly

    Cool! This tip looks like it will be handy.

  5. #5
    Member
    Join Date
    2007-05
    Posts
    7
    Login to Give a bone
    0

    Thumbs up Re: Grouping Objects Quickly

    Nice tip, like a lot of simple things like this, I use them so frequently but I never stop and take the time to make them simpler.

    When I can just paste in a command I don't feel like I'm taking as much time away from drawing

  6. #6
    I could stop if I wanted to kwong's Avatar
    Join Date
    2002-11
    Posts
    270
    Login to Give a bone
    1

    Default Re: Grouping Objects Quickly

    Ctrl+Shift+A only suspends the grouping, (Pickstyle = 0).
    I have a lisp routine that ungroups groups permanently:

    (defun C:ug (/ CNT PICKS SSET)
    (vl-load-com)
    (setq PICKS (getvar "pickstyle"))
    (setvar "pickstyle" 1)
    (princ "\nSelect groups to be exploded: ")
    (setq SSET (ssget)
    CNT 0
    )
    (repeat (sslength SSET)
    (delete_group (get_groupname (ssname SSET CNT)))
    (setq CNT (1+ CNT))
    )
    (setvar "pickstyle" PICKS)
    (prin1)
    )
    ; This function returns the group name of an entity.
    (defun GET_GROUPNAME (ENAM / ELST PAIR SEL GRPNAM GRPOBJ)
    (setq ELST (entget ENAM))
    (if (setq PAIR (assoc 330 ELST))
    (progn
    (setq GRPOBJ (vlax-ename->vla-object (cdr PAIR))
    GRPNAM (vla-get-name GRPOBJ)
    )
    )
    )
    GRPNAM
    )
    ; This function deletes a group name from the groups collection
    (defun DELETE_GROUP (GRPNAM)
    (vl-catch-all-apply
    '(lambda (X)
    (vla-delete
    (vla-item
    (vla-get-groups
    (vla-get-activedocument
    (vlax-get-acad-object)
    )
    )
    X
    )
    )
    )
    (list GRPNAM)
    )
    )
    (princ "\nC:EXPLODE_GROUP ")
    (prin1)


    There is also a lisp routine for 'grouping real fast' in CADALYST 05/04 Tip1948: GGR.LSP Group Objects (c) 2004 Stacey Conrad

  7. #7
    100 Club
    Join Date
    2005-06
    Location
    Atlanta
    Posts
    118
    Login to Give a bone
    0

    Default Re: Grouping Objects Quickly

    Almost 15 years later to the day, and I used this on several hundred room name blocks that had gotten corrupted, somehow each entity in the roomname block was a group with a wipeout. Thanks for saving me hours of tedium and frustration! Worked like a charm in 2020.

Similar Threads

  1. Quickly convert similar MEP objects to another similar object
    By Wish List System in forum ACA Wish List
    Replies: 0
    Last Post: 2013-11-21, 06:00 PM
  2. Grouping??
    By pearlx100 in forum AutoCAD General
    Replies: 1
    Last Post: 2009-09-21, 05:56 PM
  3. Grouping
    By nsinha73 in forum Revit Architecture - General
    Replies: 1
    Last Post: 2009-02-07, 12:38 AM
  4. Grouping.. maybe..
    By mjsregister in forum VBA/COM Interop
    Replies: 2
    Last Post: 2005-04-25, 08:18 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •